//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace ARGNS.ConfIni
{
    using System;
    using System.Collections.Generic;
    
    public partial class CompanyConns
    {
        public CompanyConns()
        {
            this.BPGroups = new HashSet<BPGroups>();
            this.CompanyStock = new HashSet<CompanyStock>();
            this.CRPageMaps = new HashSet<CRPageMaps>();
            this.PortalCharts = new HashSet<PortalCharts>();
            this.PortalTiles = new HashSet<PortalTiles>();
            this.QueryManagerItems = new HashSet<QueryManagerItems>();
            this.QuickOrders = new HashSet<QuickOrders>();
            this.UserDirectAccesses = new HashSet<UserDirectAccesses>();
            this.UsersSettings = new HashSet<UsersSettings>();
            this.UserUDFs = new HashSet<UserUDFs>();
            this.WarehousePortals = new HashSet<WarehousePortals>();
        }
    
        public int IdCompany { get; set; }
        public int ServerType { get; set; }
        public string Server { get; set; }
        public string CompanyDB { get; set; }
        public string UserName { get; set; }
        public string Password { get; set; }
        public string DbUserName { get; set; }
        public string DbPassword { get; set; }
        public bool UseTrusted { get; set; }
        public bool UseCompanyUser { get; set; }
        public bool ItemInMultipleLines { get; set; }
        public bool UseHandheld { get; set; }
        public bool CheckBasketID { get; set; }
        public bool OnDemand { get; set; }
        public bool Active { get; set; }
        public string LicenseServer { get; set; }
        public int PortNumber { get; set; }
        public string SAPLanguaje { get; set; }
        public Nullable<int> CodeType { get; set; }
        public string UrlHana { get; set; }
        public string UrlHanaGetQueryResult { get; set; }
        public Nullable<short> VisualOrder { get; set; }
    
        public virtual ICollection<BPGroups> BPGroups { get; set; }
        public virtual ICollection<CompanyStock> CompanyStock { get; set; }
        public virtual ICollection<CRPageMaps> CRPageMaps { get; set; }
        public virtual ICollection<PortalCharts> PortalCharts { get; set; }
        public virtual ICollection<PortalTiles> PortalTiles { get; set; }
        public virtual ICollection<QueryManagerItems> QueryManagerItems { get; set; }
        public virtual ICollection<QuickOrders> QuickOrders { get; set; }
        public virtual ICollection<UserDirectAccesses> UserDirectAccesses { get; set; }
        public virtual ICollection<UsersSettings> UsersSettings { get; set; }
        public virtual ICollection<UserUDFs> UserUDFs { get; set; }
        public virtual ICollection<WarehousePortals> WarehousePortals { get; set; }
    }
}
